> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mercoa.com/embedded-ap-ar/api-reference/organization/notification-configuration/update/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mercoa.com/_mcp/server. # Update POST https://api.mercoa.com/organization/notification-configuration/{notificationType} Content-Type: application/json Update notification configuration for this notification type Reference: https://docs.mercoa.com/embedded-ap-ar/api-reference/organization/notification-configuration/update ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `notificationType` (enum, required) - Allowed values: `INVOICE_APPROVAL_NEEDED`, `INVOICE_APPROVED`, `INVOICE_REJECTED`, `INVOICE_SCHEDULED`, `INVOICE_PENDING`, `INVOICE_PAID`, `INVOICE_CANCELED`, `INVOICE_CREATED`, `INVOICE_EMAILED`, `INVOICE_FAILED`, `COUNTERPARTY_ONBOARDING_COMPLETED` ### Body (application/json) This endpoint expects an object. - `object` - `notificationType`: `invoice` - `url` (string, required) — The URL that the email will link to. - `subject` (string, optional) — The subject of the email. If not provided, the default subject will be used. ## Response ### 200 - `object` - `notificationType`: `invoice` - `type` (enum, required) - Allowed values: `INVOICE_APPROVAL_NEEDED`, `INVOICE_APPROVED`, `INVOICE_REJECTED`, `INVOICE_SCHEDULED`, `INVOICE_PENDING`, `INVOICE_PAID`, `INVOICE_CANCELED`, `INVOICE_CREATED`, `INVOICE_EMAILED`, `INVOICE_FAILED`, `COUNTERPARTY_ONBOARDING_COMPLETED` - `url` (string, required) — The URL that the email will link to. - `subject` (string, optional) — The subject of the email. If not provided, the default subject will be used. ## Errors ### 400 Bad Request - `errorName` ("BadRequest", required) - `content` (string, required) ### 401 Unauthorized - `errorName` ("Unauthorized", required) - `content` (string, required) ### 403 Forbidden - `errorName` ("Forbidden", required) - `content` (string, required) ### 404 Not Found - `errorName` ("NotFound", required) - `content` (string, required) ### 409 Conflict - `errorName` ("Conflict", required) - `content` (string, required) ### 500 Internal Server Error - `errorName` ("InternalServerError", required) - `content` (string, required) ### 501 Unimplemented - `errorName` ("Unimplemented", required) - `content` (string, required) ## Examples **Request** ```json { "notificationType": "invoice", "url": "url" } ``` **Response** ```json { "notificationType": "invoice", "type": "INVOICE_APPROVAL_NEEDED", "url": "url", "subject": "subject" } ``` **SDK Code** ```python import requests url = "https://api.mercoa.com/organization/notification-configuration/INVOICE_APPROVAL_NEEDED" payload = { "notificationType": "invoice", "url": "url" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```typescript import { MercoaClient } from "@mercoa/javascript"; const client = new MercoaClient({ token: "YOUR_TOKEN" }); await client.organization.notificationConfiguration.update("INVOICE_APPROVAL_NEEDED", { notificationType: "invoice", url: "url" }); ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mercoa.com/organization/notification-configuration/INVOICE_APPROVAL_NEEDED" payload := strings.NewReader("{\n \"notificationType\": \"invoice\",\n \"url\": \"url\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mercoa.com/organization/notification-configuration/INVOICE_APPROVAL_NEEDED") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"notificationType\": \"invoice\",\n \"url\": \"url\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mercoa.com/organization/notification-configuration/INVOICE_APPROVAL_NEEDED") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"notificationType\": \"invoice\",\n \"url\": \"url\"\n}") .asString(); ``` ```php request('POST', 'https://api.mercoa.com/organization/notification-configuration/INVOICE_APPROVAL_NEEDED', [ 'body' => '{ "notificationType": "invoice", "url": "url" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mercoa.com/organization/notification-configuration/INVOICE_APPROVAL_NEEDED"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"notificationType\": \"invoice\",\n \"url\": \"url\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "notificationType": "invoice", "url": "url" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mercoa.com/organization/notification-configuration/INVOICE_APPROVAL_NEEDED")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```